org.apache.jasper.runtime

## Interface JspSourceImports

-     public interface JspSourceImports

  The EL engine needs access to the imports used in the JSP page to configure the ELContext. The imports are available at compile time but the ELContext is created lazily per page. This interface exposes the imports at runtime so that they may be added to the ELContext when it is created.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getClassImports()`
    `Set<String>` | `getPackageImports()`

- - ### Method Detail

    - #### getPackageImports

          Set<String> getPackageImports()

    - #### getClassImports

          Set<String> getClassImports()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.